#ifndef XGPUTEXTURESIZESTACK_H
#define XGPUTEXTURESIZESTACK_H

#include "xasset.h"

class XGpuTextureSizeStack : public XAsset
{
public:
    explicit XGpuTextureSizeStack();

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

private:
    quint32 mWidth;
    quint32 mHeight;
    quint32 mDepth;
};

#endif // XGPUTEXTURESIZESTACK_H
